> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Values

> List values for a dimension.



## OpenAPI

````yaml /openapi/api.json get /v1/demographics/{dimension_id}/values
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/demographics/{dimension_id}/values:
    get:
      tags:
        - Agent Environment
        - demographics
      summary: List Values
      description: List values for a dimension.
      operationId: list_values_v1_demographics__dimension_id__values_get
      parameters:
        - name: dimension_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dimension Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: Maximum number of results
            default: 250
            title: Limit
          description: Maximum number of results
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of results to skip
            default: 0
            title: Offset
          description: Number of results to skip
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/src__service_agent_environment__api__dimensions__ValueListResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    src__service_agent_environment__api__dimensions__ValueListResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/DemographicValue'
          type: array
          title: Results
        count:
          type: integer
          title: Count
      type: object
      required:
        - results
        - count
      title: ValueListResponse
      description: Response model for listing values.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DemographicValue:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        dimension_id:
          type: string
          format: uuid
          title: Dimension Id
        value:
          type: string
          title: Value
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        value_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Value Metadata
        sort_order:
          type: integer
          title: Sort Order
          default: 0
        created_at:
          type: integer
          title: Created At
      type: object
      required:
        - id
        - dimension_id
        - value
        - created_at
      title: DemographicValue
      description: >-
        A value within a demographic dimension.


        Example: For dimension "race", values might be "White", "Black",
        "Asian", etc.

        These are used for prompt template variable substitution in bias
        testing.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````